#!/usr/bin/perl

my $usage= "

Prints out the list of commands for all read files 
to map the reads to the reference (OTUs) database

Arguments:

input=[perl pattern] : glob to fastq files containing cleaned reads. Extension
                       will work, too, such as \'fastq\'.
db=[filename]        : OTU database to map to, in fasta format
idpos=[integer]      : (optional) the position of name-deriving string in the 
                        reads file name separated by underscores or dots 
							
";

my $glob;
my $db;
my $idpos=0;

if ("@ARGV"=~/input=(\S+)/) { $glob=$1;}
else { die $usage; }
if ("@ARGV"=~/db=(\S+)/) { $db=$1;}
else { die $usage; }
if ("@ARGV"=~/idpos=(\d+)/) { $idpos=$1;}

opendir THIS, ".";
my @fqs=grep /$glob/,readdir THIS;
my $outname="";

foreach $fqf (@fqs) {
	if ($idpos) {
		my @parts=split(/[_\.]/,$fqf);
		$outname=$parts[$idpos-1].".otu_sam";
	}
	else { $outname=$fqf.".otu_sam";}
	print "gmapper $fqf $db --strata >$outname\n";
}

