#!/usr/bin/perl

my $usage= "

Prints out list of commands to derive counts from SAM files using mBC_count.pl
(metabarcoding pipeline)

Arguments:

input=[perl pattern]  : glob to SAM files (or simply an extension)
mult.hits=toss|random : (optional) if a read maps to multiple reference sequences, 
                        it is disregarded by default. Set this option to 'random' 
                        if you want to randomly pick an OTU to assign the count to. 
                        In my opinion this makes sense  only for OTUs that are 
                        approximately equally represented.

";

my $glob="";
if ("@ARGV"=~/input=(\S+)/) { $glob=$1;}
else { die $usage; }
my $miso="toss";
if ("@ARGV"=~/mult.hits=random/) { 
	$miso="random";
	warn "adding a count to a randomly picked OTU when a read maps to multiple OTUs\n";
}
else { warn "disregarding reads mapping to multiple OTUs\n"; }

opendir THIS, ".";
my @fqs=grep /$glob/,readdir THIS;
my $outname="";

foreach $fqf (@fqs) {
	$outname=$fqf.".counts";
	print "mBC_count.pl input=$fqf mult.hits=$miso >$outname\n";
}
